Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel.exps
Class AbstractExpressionVisitor

    java.lang.Object
      org.apache.openjpa.kernel.exps.AbstractExpressionVisitor

All Implemented Interfaces:
  ExpressionVisitor

Direct Known Subclasses:
  HasContainsExpressionVisitor

    public abstract class AbstractExpressionVisitor

extends Object
implements ExpressionVisitor

No-op abstract visitor meant for easy extension.

Author:
  Abe White

Constructor Summary
`AbstractExpressionVisitor()`

Method Summary
`void` | `enter(Expression exp)` Enter an expression.
`void` | `enter(Value val)` Enter a value.
`void` | `exit(Expression exp)` Leave an expression.
`void` | `exit(Value val)` Leave a value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractExpressionVisitor

    public AbstractExpressionVisitor()

Method Detail

### enter

    public void enter(Expression exp)

  Description copied from interface: `ExpressionVisitor`
  Enter an expression. The expression will then invoke visits on its components.

  Specified by:
    `enter` in interface `ExpressionVisitor`

### exit

    public void exit(Expression exp)

  Description copied from interface: `ExpressionVisitor`
  Leave an expression.

  Specified by:
    `exit` in interface `ExpressionVisitor`

### enter

    public void enter(Value val)

  Description copied from interface: `ExpressionVisitor`
  Enter a value. The value will then invoke visits on its components.

  Specified by:
    `enter` in interface `ExpressionVisitor`

### exit

    public void exit(Value val)

  Description copied from interface: `ExpressionVisitor`
  Leave a value.

  Specified by:
    `exit` in interface `ExpressionVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.